# dx/dt=-x^3+sin(t)
# initial state x=0 at t=0, t=[0, 10]
import numpy as np
import matplotlib.pyplot as plt

def f(x, t):
  return -x**3+np.sin(t)

if __name__=="__main__":
  t_i=0.; x_i=0
  t_f=10.
  N=1000
  t=np.linspace(t_i, t_f, N)
  x=np.zeros(len(t), float)
  x[0]=x_i
  
  h=t[1]-t[0]
  
  for i in range(len(t)-1):   # EM
    x[i+1]=x[i]+f(x[i], t[i])*h
  
  plt.plot(t, x)
  plt.show()
